IBMTR_CS(4)

NAME
ibmtr_cs - IBM Token Ring PCMCIA device driver

SYNOPSIS
insmod ibmtr_cs.o [pc_debug= n] [mmiobase= n] [srambase= n] [ringspeed= n] [irq_list= i,j,...]

DESCRIPTION
ibmtr_cs is the low-level Card Services driver for the IBM Token Ring network adapter and a few very similar cards. When this driver is attached to a card, it allocates the next available token ring interface (tr0..tr#). This device name will be reported in the kernel log file, and passed on to cardmgr(8).

Due to awkward design of the kernel ibmtr driver, the shared packet memory for these cards must be mapped to a memory address below 1MB or 0x100000. The PCMCIA software will attempt to do this automatically, but the automatic algorithm may choose values that conflict with other system devices, so a manual override with the srambase parameter may be required. The memory-mapped IO window generally will not be a problem.

PARAMETERS

pc_debug=n
    Selects the PCMCIA debugging level. This parameter is only available if the module is compiled with debugging enabled. A non-zero value enables debugging.

mmiobase=n
    Specifies a fixed address for the card's memory mapped IO window. The default is to select any available memory window.

srambase=n
    Specifies a fixed address for the card's shared packet memory. The default is to select any available window below 1MB.

ringspeed=n
    Selects the network speed, in mb/sec. Valid values are 4 or 16, and the default is 16.

AUTHOR
David Hinds - dahinds@users.sourceforge.net

SEE ALSO
cardmgr(8), pcmcia(5), ifport(8).